val scala3: String = "3.5.0"

externalResolvers := Seq(
  "Garrity Software Mirror" at "https://maven.garrity.co/releases",
  "Garrity Software Releases" at "https://maven.garrity.co/gs"
)

ThisBuild / scalaVersion  := scala3
ThisBuild / versionScheme := Some("semver-spec")
ThisBuild / gsProjectName := "gs-timing"

lazy val sharedSettings = Seq(
  scalaVersion               := scala3,
  version                    := semVerSelected.value,
  coverageMinimumStmtTotal   := 100,
  coverageMinimumBranchTotal := 100
)

lazy val testSettings = Seq(
  libraryDependencies ++= Seq(
    "org.scalameta" %% "munit" % "1.0.1" % Test
  )
)

lazy val `gs-timing` = project
  .in(file("."))
  .settings(sharedSettings)
  .settings(testSettings)
  .settings(name := s"${gsProjectName.value}-v${semVerMajor.value}")
  .settings(
    libraryDependencies ++= Seq(
      "org.typelevel" %% "cats-effect" % "3.5.4"
    )
  )
